Changes in loa 0.2.48 [2023-10-19]

*       requested changes to geo functions 
*       requested change to citation and description 
        documentation  

Changes in loa 0.2.47 [2021-04-10]

*       loaPlot updated, now accepts factors as  
        x, y, z terms 
*       groupHandler tidy 


Changes in loa 0.2.46 [2020-12-30]

*       added panel.loa and drawkey.loaKey02,
        type="l" and "h" handler for loaPlot
*       refined and renamed add methods 
*       added add.LonLatMap 
*       add.XYFit update; only passing models formal args  


Changes in loa 0.2.45 [2019-09-11]

*       added loaMapPlot as generic map plot 
*       replaced existing makeMap...,  
        getMap... and panel.GoogleMap... functions 
        with generic versions
*       Added sp to imports, and added Mercator 
        transform functions, LatLon2MercatorXY 
        and MercatorXY2LatLon
*       replaced GoogleMap/googleMap with 
        loaMapPlot warpper RgoogleMapsPlot. 
*       Added OpenStreetMap to imports, loaMapPlot 
        wrapper OpenStreetMapPlot, and getOSMapArg.
*       replaced roadmap.meuse with getRGMapArg 
        make version
*       removed OpenStreetMap related functions, 
        can't get CRAN to accept
        

Changes in loa 0.2.44 [2018-08-19]
=====================================

*       update to triABC2XY, track lims for 
        very different a, b and c ranges
*       added add_loaPanel 
*       added addXYLMFit, addXYLOESSFit, 
        addXYFit_prep, loaXYFit_lm, 
        loaXYFit_loess, panel.loaXYFit


Changes in loa 0.2.43 [2018-09-03]
=====================================

*       update to condPanelHandler, now passes 
        current cond to panel
*       changed panel.loaLevelPlot, ...binPlot,  
        ...kernelDensity, ...surfaceSmooth
        defaults to scheme = "loa.scheme"
*       update to loaBarPlot (simplified 
        df naming)
*       update to panel.loaPlot2 
        (grid by default)
*       update to limHandler (NA handling)
*       update to cexHandler (NA handling)
*       updated GoogleMap defaults grid off
*       updated defaults for panel.loaPlot
        (blue col.regions and grid on) 
*       updates requested for CRAN resubmission
*       update to loaBarPlot, now allows both 
        (x,y,cond) and (y~x|cond) use


Changes in loa 0.2.42 [2017-09-21]
=====================================

*       added draw.groupPlotKey
*       added panel.triangleByGroupPolygon
*       update to triABC2XY and triXY2ABC
*       added triABCSquareGrid
*       update to panel.trianglePlot, tidied 
        grid and group handling
*       update to panel.kernelDensity, added 
        too.far arg like in panel.surfaceSmooth
*       added panel.triangleKernelDensity and 
        panel.triangleSurfaceSmooth
*       update to panel.kernelDensity, added 
        local.wt arg
*       further updates to GoogleMap to track 
        RgoogleMaps update
*       modified loaBarPlot refined NA handling
        and key handling
*       added crude scalesHandler function
*       modified loaBarPlot default col 
        handling, 1 col = blue
*       modified loaBarPlot, now has a 
        loa key


Changes in loa 0.2.41 [2017-06-02]
=====================================

*       added loaBarPlot (might not be 
        staying)
*       added plyr to depends (might not 
        be staying)
*       updates to panel.zcasePiePlot and 
        panel.zcasePieSegmentPlot, better 
        scaling
*       update to GoogleMap track RgoogleMaps
        update


Changes in loa 0.2.40 [2016-08-22]
=====================================

*       updates to loaPolygon, for rotation 
        and rescaling
*       updates to draw.loaColorKey and 
        colhandler 
        (re raster color scales)


Changes in loa 0.2.39 [2016-06-14]
=====================================

*       updates to panel.loaLevelPlot 
        and colHandler 
        (re pdf transparency handling)


Changes in loa 0.2.31 [2016-02-29]
=====================================

*       updates re CRAN resubmission


Changes in loa 0.2.29 [2015-12-12]
=====================================

*       formulaHandler update
*       panel.loaGrid update, improved 
        tracking of POSIX axis


Changes in loa 0.2.28 [2015-11-18]
=====================================

*       formulaHandler, draw.zcasePlotKey
        updates, now tracks zcases better
*       added stackPlot, panel.stackPlot 
        and associated data handler 
        stackXZ2XYZ(not export)
*       added draw.ycasePlotKey 
        

Changes in loa 0.2.27 [2015-08-06]
=====================================

*       panelPal, formulaHandler and 
        limsHandler updates, improved 
        POSIXct handling 


Changes in loa 0.2.26 [2015-07-25]
=====================================

*       loaPlot/formulaHandler update, 
        zcase now factor when panelled
*       parHandler update, raised lower
        end of default col.regions


Changes in loa 0.2.25 [2015-06-03]
=====================================

*       loaHandler update, improved 
        third party data.panel tracking
*       triABC2XY update


Changes in loa 0.2.24 [2015-04-22]
=====================================

*       smoother col gradient for 
        colRegionsHandler
*       added panel.loaLevelPlot 
*       added panel.surfaceSmooth
*       added matrixHandler function
*       update to loaPlot, now also 
        accepts matrix as x input


Changes in loa 0.2.23 [2015-03-05]
=====================================

*       xlab, ylab fix for 0.2.21 
*       formulaHandler update to allow default 
        trianglePlot normalisation  
 

Changes in loa 0.2.21-2 [2015-01-21]
=====================================

*       minor updates for CRAN submission
*       jss paper reference added to citation 


Changes in loa 0.2.20 [2015-01-09]
=====================================

*       resetTriLims update


Changes in loa 0.2.19 [2015-01-05]
=====================================

*       major revision of trianglePlot 
        (now uses panelPal, conditions, 
        etc
*       added resetTriLims 
*       removed previous trianglePlot 
        code functions


Changes in loa 0.2.18 [2014-11-18]
=====================================

*       panelPal update (reset.xylims 
        now accepts function)
*       formulaHandler update (added 
        coord.conversion option)
*       triABC2XY update (work-around 
        a,b,c to a0,b0,c0)


Changes in loa 0.2.17 [2014-04-23]
=====================================

*       limHandler update (now 
        catches ~0*0, etc) 
*       draw.zcasePlotKey, draw.loaPlotZKey 
        (now allow list, vector and 
        expression as main)


Changes in loa 0.2.16 [2014-02-17]
=====================================

*       panelPal update, ignore not ignored
*       loaPlot, formulaHandler updates, 
        (for new preprocess method) 


Changes in loa 0.2.15 [2014-01-15]
=====================================

*       refinements to loaPlot, panel.binPlot,
        panel.kernelDensity, draw.loaColorKey 
        and draw.loaColorRegionsKey 
        (better alpha/alpha.regions 
        tracking)
*       refinements to GoogleMap and 
        panelPal (better local scale 
        tracking)
*       added example data roadmap.meuse 
        (for off-line ?GoogleMap examples)
*       updated help examples for loaPlot, 
        GoogleMap, trianglePlot
*       fixes for CRAN submission.


Changes in loa 0.2.14 [2014-01-04]
=====================================

*       refinement to draw.loaPlotZKey
        (better alpha/alpha.regions 
        tracking)


Changes in loa 0.2.13 [2013-12-23]
=====================================

*       refinement to panel.loaPlot
        (better alpha/alpha.regions 
        tracking)


Changes in loa 0.2.12 [2013-11-11]
=====================================

*       refinement to GoogleMap
        (more robust map sizing for single  
        point plots)
        (improve multi-zcase management)


Changes in loa 0.2.11 [2013-09-06]
=====================================

*       refinement to formulaHandler
        (improved formula.type)
        (improve multi-zcase management)
*       update to panel.zcasePiePlot 
*       minor update to panelPal
*       geo calculations removed 
        (now in grey.area package)


Changes in loa 0.2.10 [2013-08-11]
=====================================

*       refinement to panel.binPlot 
        (added pad.grid argument)
*       added panel.compareZcases
*       added screenLatticePlot



Changes in loa 0.2.9 [2013-06-30]
=====================================

*       loaPolygon, loaCircle, loaPieSegment added
*       panel.zcasePiePlot
*       panel.zcasePieSegmentPlot added
*       draw.loaColorRegionsKey added
*       panel.loaPlotGrid added
        (loaPlot(..., grid=T), etc now uses this)
*       formulaHandler update
        (new options, output and panel.zcases 
        added)
*       colRegionsHandler added
        (colHandler wrapper for use with 
        col.regions arg)
*       panel.binPlot update
        (now works with plots like GoogleMap 
        with rescaled axes)



Changes in loa 0.2.8 [2013-06-09]
=====================================

*       localScalesHandler update 
        (axes col = "transparent" locally overridden 
        when used to hidden panel box)
*       panel.polar... functions added
        (panel.polarPlot, panel.polarFrame, 
        panel.polarAxes, panel.polarGrids, 
        panel.polarLabels)
*       namespace and depends updates
        (MASS added to required packages; 
        now Requires: lattice, Imports others)
*       loaPlot updates 
        (par.settings uses parHandler directly)
*       provisional stripHandler added
*       default cex range changed in cexHandler
*       GoogleMap update: uses latest PanelPal
        (older version now GoogleMap.old) 
*       lat.lon.meuse dataset added 



Changes in loa 0.2.7 [2013-05-07]
=====================================

*       listUpdate minor update 
        (NULL case error fixed)
*       draw.loaColorKey added
*       panel.binPlot added


Changes in loa 0.2.6 [2013-05-06]
=====================================

*       panelPal updated 
        (Previous panelPal2 now main version;
        Previous panelPal now panelPal.old)
*       panel.loaPlot updated 
        (now allows separate group and zcase 
        conditioning)
*       panel.loaPlot added 
*       group and zcase conditioning rationalised 
        (now using new functions groupsPanelHandler, 
        zcasesPanelHandler and groupsAndZcasesPanelHandler)
*       color key management updated
        (added keyHandler, and dedicated key functions, 
        draw.loaPlotZKey)
 

Changes in loa 0.2.5 [2012-11-22]
=====================================

*       added panel.loaPlot function
*       modifed panelPal2 (to work with 
        panel.loaPlot)
*       updated GoogleMap and tianglePlot 
        (to work with improved col and 
        cex Handlers)    


Changes in loa 0.2.4 [2012-11-07]
=====================================

*       added loaPlot function
*       added panelPal2 (as in development 
        alternative to current panelPal)   
*       added formulaHandler
*       improved cexHandler and colHandler 
*       improved panel.kernelDensity


Changes in loa 0.2.3 [2012-07-10]
=====================================

*       improved colHandler colorkey/legend 
        management
*       fixed GoogleMap/layout conflict
*       added panel.kernelDensity
 
        
Changes in loa 0.2.2 [2012-06-25]
=====================================

*       renamed googleMap GoogleMap
        and added googlemap wrapper


Changes in loa 0.2.1 [2012-05-05]
=====================================

*       added getPlotArgs
*       improved group argument handling 
        for panelPal
*       added parHandler      
*       update to googleMap function 
        getMapArg: better xlim, ylim handling; 
        fixed recolor.amp/nativeRaster conflict


Changes in loa 0.2.0 [2012-02-10]
=====================================

*       added trianglePlot function, and 
        associated panel and data handler 
        functions
*       added localScalesHandler for local 
        scale/axis management
*       added panel.localScale for adding 
        in-panel scales 


Changes in loa 0.1.5 [2012-01-12]
=====================================

*       named RgoogleMapWrapper makeMapArg
        and added getMapArg to simplify user 
        map work
*       reordered args in getXY and getLatLon 
        to simplify typical use


Changes in loa 0.1.4 [2012-01-04]
=====================================

*       geoDestination added
*       update to googleMap and getLatLon
        (map now passed in googleMap output)
        (for access by functions like getLanLon)


Changes in loa 0.1.3 [2011-12-21]
=====================================

*       getXY, getLatLon added
*       geoFrame, geoBearing, geoDistance, 
        geoElevation added


Changes in loa 0.1.2 [2011-12-20]
=====================================

*       zHandler added
*       update to common cond handling of 
        different googleMap panels 
*       NAMESPACE added


Changes in loa 0.1.1 [2011-12-16]
=====================================

*       listUpdate added
*       googleMaps function set added 
        (these supersede googleMapsPlot set)


Changes in loa 0.1 [2011-12-14]
=====================================

*       First packaging 
*       cexHandler, colHandler added

